--/ ----- https://jira.adguard.com/browse/AG-4883 ----- ///

-- Creating staging table
DROP TABLE IF EXISTS temp_app_rules;
CREATE TABLE temp_app_rules (
  package_name VARCHAR(100) PRIMARY KEY,
  traffic_filtering INTEGER DEFAULT 1,
  ad_blocking INTEGER DEFAULT 1,
  https_filtering INTEGER DEFAULT 1,
  firewall_notifications INTEGER DEFAULT 1,
  mobile_data INTEGER DEFAULT 1,
  wifi INTEGER DEFAULT 1,
  mobile_data_screen_off INTEGER DEFAULT 1,
  wifi_screen_off INTEGER DEFAULT 1
);

INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.google.android.videos', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.keitai.payment', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.dhits', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.nttdocomo.dtv', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.nttdocomo.videostoresc', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.nttdocomo.dtv.androidtv', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.dch', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.dmagazine', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.photocollection', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.dazn', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.sha2.kids', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.disney.apps.gm.disneydx', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.dhealthcare', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.danimeapp', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.dpoint', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.mydocomo', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.dmenu2', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.dcard', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.docomomail', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.msg', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nttdocomo.android.mascot', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.jibunbank.jibunmain', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.auone.wallet', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.smartpass', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.wowma.app', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.cmail', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.cs.app001', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.newspass', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.videopass', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.lismobookstore', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.UtaPass', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.au.pia.up', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kddi.android.aumail', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.uqmobile.uqmobileportalapp', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.ne.paypay.android.app', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.softbank.mb.plusmessage', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.softbank.OfficialApp', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.softbank.mb.mail', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.yahoo.android.ymobile.mail', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.amazon.mShop.android.shopping', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.co.rakuten.android', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.kouzoh.mercari', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.nianticlabs.pokemongo', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.square_enix.android_googleplay.dqwalkj', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.linecorp.LGTMTM', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.mangabang', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('com.dena.mj', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.kakao.piccoma', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.naver.linemanga.android', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.radiko.plusfm.player', 0);
INSERT INTO temp_app_rules (package_name, traffic_filtering) VALUES ('jp.videomarket.mb', 0);

-- Insert new app rules
INSERT INTO app_rules (package_name, traffic_filtering, ad_blocking, https_filtering)
     SELECT package_name, traffic_filtering, ad_blocking, https_filtering
       FROM temp_app_rules t1
      WHERE NOT EXISTS (SELECT 1 FROM app_rules t2 WHERE t2.package_name = t1.package_name);

-- Drop staging table
DROP TABLE IF EXISTS temp_app_rules;